Package fr.gouv.vitam.metadata.rest

# Class MetadataReconstructionResource

java.lang.Object
fr.gouv.vitam.metadata.rest.MetadataReconstructionResource

@Path("/v1") public class MetadataReconstructionResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECTGROUP`
  `static final String`
  `UNIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `purgeReconstructedDocumentsWithGraphOnlyData(GraphComputeResponse.GraphComputeAction action)`
  API to purge documents reconstructed but having only graph data This will remove all documents older than a configured delay (deleteIncompleteReconstructedUnitDelay) in vitam conf
  `jakarta.ws.rs.core.Response`
  `reconstructCollection(List<ReconstructionRequestItem> reconstructionItems)`
  API to access and launch the Vitam reconstruction service for metadata.
  `jakarta.ws.rs.core.Response`
  `storeGraph()`
  API to access and launch the Vitam store graph service for metadata.
  `jakarta.ws.rs.core.Response`
  `storeGraphInProgress()`
  Check if store graph is in progress.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJECTGROUP

    public static final String OBJECTGROUP
    See Also:
      - Constant Field Values

  - ### UNIT

    public static final String UNIT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### reconstructCollection

    @Path("/reconstruction") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response reconstructCollection(List<ReconstructionRequestItem> reconstructionItems)
    API to access and launch the Vitam reconstruction service for metadata.
    Parameters:
      `reconstructionItems` - list of reconstruction request items
    Returns:
      the response

  - ### storeGraph

    @Path("/storegraph") @GET @Produces("application/json") public jakarta.ws.rs.core.Response storeGraph()
    API to access and launch the Vitam store graph service for metadata.
    Returns:
      the response

  - ### storeGraphInProgress

    @Path("/storegraph/progress") @GET @Produces("application/json") public jakarta.ws.rs.core.Response storeGraphInProgress()
    Check if store graph is in progress.
    Returns:
      the response

  - ### purgeReconstructedDocumentsWithGraphOnlyData

    @Path("/purgeGraphOnlyDocuments/{collection:UNIT|OBJECTGROUP|UNIT_OBJECTGROUP}") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response purgeReconstructedDocumentsWithGraphOnlyData(@PathParam("collection") GraphComputeResponse.GraphComputeAction action)
    API to purge documents reconstructed but having only graph data This will remove all documents older than a configured delay (deleteIncompleteReconstructedUnitDelay) in vitam conf
    Returns:
      the response